%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		geary
Version:	0.12.1
Release:	%mkrel 1
Summary:	A lightweight email program designed around conversations
License:	LGPLv2+
Group:		Networking/Mail
URL:		http://yorba.org/geary/
Source0:    https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
#------------------------------------------------------------
BuildRequires: gnome-doc-utils
BuildRequires: grep
BuildRequires: intltool
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64canberra-devel
BuildRequires: lib64gcr-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64gee-devel
BuildRequires: lib64girepository-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gmime-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64notify-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64secret-devel
BuildRequires: lib64soup-devel
BuildRequires: lib64sqlite3-devel
BuildRequires: lib64xml2-devel
BuildRequires: p11-kit-devel
BuildRequires: vala
BuildRequires: vala-tools
BuildRequires: webkitgtk3-devel
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: waf
#------------------------------------------------------------
Requires:	hicolor-icon-theme

%description
Geary is a new email reader for GNOME designed to let you read your email
quickly and effortlessly. Its interface is based on conversations, so you
can easily read an entire discussion without having to click from message
to message.
Geary is still in early development and has limited features today, but
we're planning to add lightning-fast searching, multiple account support,
and much more. Eventually we'd like Geary to have an extensible plugin
architecture so that developers will be able to add all kinds of nifty
features in a modular way.

%prep
%setup -q 
%apply_patches

%build
%cmake -DGSETTINGS_COMPILE=OFF \
       -DGSETTINGS_COMPILE_IN_PLACE=OFF \
       -DICON_UPDATE=OFF \
       -DDESKTOP_UPDATE=OFF
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/*/actions/*.*
%{_datadir}/contractor/%{name}*.contract
%{_datadir}/icons/hicolor/symbolic/apps/geary-symbolic.svg
%{_prefix}/lib/geary/web-extensions/libgeary-web-process.so
%{_datadir}/appdata/org.gnome.Geary.appdata.xml
%{_datadir}/applications/org.gnome.Geary.desktop
%{_datadir}/applications/geary-autostart.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Geary.gschema.xml

%changelog
* Fri Feb 16 2018 bb2 <bb2> - 0.12.1-1pclos2018
- new version

* Thu Jan 11 2018 bb2 <bb2> - 0.12.0-1pclos2018
- new version

* Mon Oct 02 2017 bb2 <bb2> - 0.11.4-1pclos2017
- new version

* Sat Dec 31 2016 bb <bb> - 0.11.3-1pclos2017
- new version


